export declare const DirectionalHint: {
    /**
     * Appear above the target element, with the left edges of the callout and target aligning.
     */
    topLeftEdge: number;
    /**
     * Appear above the target element, with the centers of the callout and target aligning.
     */
    topCenter: number;
    /**
     * Appear above the target element, with the right edges of the callout and target aligning.
     */
    topRightEdge: number;
    /**
     * Appear above the target element, aligning with the target element such that the callout tends toward the center of the screen.
     */
    topAutoEdge: number;
    /**
     * Appear below the target element, with the left edges of the callout and target aligning.
     */
    bottomLeftEdge: number;
    /**
     * Appear below the target element, with the centers of the callout and target aligning.
     */
    bottomCenter: number;
    /**
     * Appear below the target element, with the right edges of the callout and target aligning.
     */
    bottomRightEdge: number;
    /**
     * Appear below the target element, aligning with the target element such that the callout tends toward the center of the screen.
     */
    bottomAutoEdge: number;
    /**
     * Appear to the left of the target element, with the top edges of the callout and target aligning.
     */
    leftTopEdge: number;
    /**
     * Appear to the left of the target element, with the centers of the callout and target aligning.
     */
    leftCenter: number;
    /**
     * Appear to the left of the target element, with the bottom edges of the callout and target aligning.
     */
    leftBottomEdge: number;
    /**
     * Appear to the right of the target element, with the top edges of the callout and target aligning.
     */
    rightTopEdge: number;
    /**
     * Appear to the right of the target element, with the centers of the callout and target aligning.
     */
    rightCenter: number;
    /**
     * Appear to the right of the target element, with the bottom edges of the callout and target aligning.
     */
    rightBottomEdge: number;
};
export declare type DirectionalHint = typeof DirectionalHint[keyof typeof DirectionalHint];
//# sourceMappingURL=DirectionalHint.d.ts.map