import BaseComponent from '../BaseComponent';
import { List } from '../List';
import { IColumn, IDetailsListStyles } from './DetailsList.types';
export declare class DetailsListBase extends BaseComponent {
    $refs: {
        list: List;
    };
    columns: any[];
    items: any[];
    compact: boolean;
    lastWidth: number;
    lastSelectionMode: undefined;
    columnOverrides: any;
    lastSortedColumnKey: string;
    render(): JSX.Element;
    get classNames(): import("@uifabric/merge-styles").IProcessedStyleSet<IDetailsListStyles>;
    get adjustedColumns(): IColumn[];
    private onRenderDetailsHeader;
    created(): void;
    private _rememberCalculatedWidth;
    private _getColumnOverride;
    private _adjustColumns;
    /** Returns adjusted columns, given the viewport size and layout mode. */
    private _getAdjustedColumns;
    /** Builds a set of columns based on the given columns mixed with the current overrides. */
    private _getFixedColumns;
    private _getJustifiedColumnsAfterResize;
    /** Builds a set of columns to fix within the viewport width. */
    private _getJustifiedColumns;
}
export declare function buildColumns(items: any[], canResizeColumns?: boolean, onColumnClick?: (ev: any, column: any) => void, sortedColumnKey?: string, isSortedDescending?: boolean, groupedColumnKey?: string, isMultiline?: boolean): any[];
//# sourceMappingURL=DetailsList.base.d.ts.map