import { IDialogProps, IDialogStyles } from './Dialog.types';
import BaseComponent from '../BaseComponent';
import { ILayerProps } from '../Layer';
import { IModalProps, IDragOptions } from '../Modal';
import { IDialogContentProps } from './DialogContent.types';
import { ICSSPixelUnitRule, ICSSRule } from '@uifabric/merge-styles/lib/IRawStyleBase';
import { ResponsiveMode } from '../../utilities';
export declare class DialogBase extends BaseComponent<IDialogProps, IDialogStyles> {
    dialogContentProps: IDialogContentProps;
    hidden: boolean;
    modalProps: IModalProps;
    minWidth: ICSSRule | ICSSPixelUnitRule;
    maxWidth: ICSSRule | ICSSPixelUnitRule;
    onLayerDidMount: any;
    responsiveMode: ResponsiveMode;
    get mergedLayerProps(): ILayerProps;
    get dragOptions(): IDragOptions | undefined;
    get mergedModalProps(): {
        layerProps: ILayerProps;
        dragOptions: IDragOptions | undefined;
        styles?: import("@uifabric/merge-styles").IStyleFunction<import("../Modal").IModalStyleProps, import("../Modal").IModalStyles> | import("@uifabric/merge-styles").DeepPartial<import("../Modal").IModalStyles> | undefined;
        theme?: import("@uifabric/styling").ITheme | undefined;
        isOpen?: boolean | undefined;
        isDarkOverlay?: boolean | undefined;
        onDismiss?: ((ev?: MouseEvent | undefined) => any) | undefined;
        onDismissed?: (() => any) | undefined;
        overlay?: import("..").IOverlayProps | undefined;
        isBlocking?: boolean | undefined;
        isModeless?: boolean | undefined;
        className: string;
        containerClassName?: string | undefined;
        scrollableContentClassName?: string | undefined;
        onLayerDidMount?: (() => void) | undefined;
        titleAriaId?: string | undefined;
        subtitleAriaId?: string | undefined;
        topOffsetFixed?: boolean | undefined;
        allowTouchBodyScroll?: boolean | undefined;
    };
    get classNames(): import("@uifabric/merge-styles").IProcessedStyleSet<IDialogStyles>;
    render(): JSX.Element;
    private _getSubTextId;
    private _getTitleTextId;
}
//# sourceMappingURL=Dialog.base.d.ts.map