import { IModalProps, IModalStyles, IDragOptions } from './Modal.types';
import BaseComponent from '../BaseComponent';
import { ILayerProps } from '../Layer';
import { IOverlayProps } from '../Overlay';
import { ResponsiveMode } from '../../utilities';
export declare class ModalBase extends BaseComponent<IModalProps, IModalStyles> {
    $refs: {
        scrollableContent: HTMLDivElement;
    };
    isOpen: boolean;
    isDarkOverlay: boolean;
    onDismissed: () => any;
    layerProps: ILayerProps;
    overlay: IOverlayProps;
    isBlocking: boolean;
    isModeless: boolean;
    className: string;
    containerClassName: string;
    scrollableContentClassName: string;
    titleAriaId: string;
    subtitleAriaId: string;
    topOffsetFixed: boolean;
    dragOptions: IDragOptions;
    allowTouchBodyScroll: boolean;
    ignoreExternalFocusing: boolean;
    internalIsOpen: boolean;
    isVisible: boolean;
    isVisibleClose: boolean;
    hasBeenOpened: boolean;
    modalRectangleTop: number;
    isModalMenuOpen: boolean;
    isInKeyboardMoveMode: boolean;
    x: number;
    y: number;
    lastSetX: number;
    lastSetY: number;
    responsiveMode: ResponsiveMode;
    private onIsOpenChanged;
    get classNames(): import("@uifabric/merge-styles").IProcessedStyleSet<IModalStyles>;
    private onModalContextMenuClose;
    private onModalClose;
    private onEnterKeyboardMoveMode;
    private _onDragStart;
    private _onDrag;
    private _onDragStop;
    private onDismiss;
    render(): JSX.Element | null | undefined;
}
//# sourceMappingURL=Modal.base.d.ts.map